#ifndef AWOORWAE_H
#define AWOORWAE_H

#include "olcPixelGameEngine.h"
#include "olcPGEX_Sound.h"
#include "player.h"
#include "bug.h"
#include <vector>

namespace pabloader {
class Awoorwae : public olc::PixelGameEngine {
private:
    Player* player;
    std::vector<Bug*> bugs;

public:
    Awoorwae()
    {
        sAppName = "Awoorwa";
    }

    ~Awoorwae()
    {
        delete player;
    }

public:
    bool OnUserCreate() override;
    bool OnUserUpdate(float fElapsedTime) override;
    bool OnUserDestroy() override;

private:
    Bug* SpawnBug();

public:
    olc::ResourcePack pack;
    olc::Sprite playerSprite;
    olc::Sprite enemiesSprite;
    int playerFallSample;
};
}

#endif