#include "bug.h"
#include "awoorwae.h"
#include <iostream>
#include <random>

namespace pabloader {
Bug::Bug(Awoorwae* game_)
    : Entity(game_)
{
    w = game->enemiesSprite.width / 4;
    h = game->enemiesSprite.height / 4;
}

void Bug::Update(float dt)
{
    y += yv * dt;
    yv += 50 * dt;
}

void Bug::Draw()
{
#ifdef _DEBUG
    game->DrawRect(x, y, w, h, olc::RED);
#endif
    game->DrawPartialSprite(x, y, &game->enemiesSprite, 0, kind * h, w, h);
}

bool Bug::IsActive()
{
    return y < game->ScreenHeight();
}

void Bug::ResetPosition()
{
    y = -20;
    x = w + std::rand() % (game->ScreenWidth() - w * 2);
    yv = 0;
    kind = std::rand() % 4;
}
}